using System;
using System.Threading;
using Microsoft.SPOT;

using Microtoolskit.Hardware.MotorDrivers;

namespace PANDA_3_I2C_MD25
{
    public class Program
    {
        public static void Main()
        {
            // http://webge.github.io/MD25/
            // Programme de test de la carte MD25
            // Cration d'un objet MotorControlMD2x (carte MD25)
            // avec l'adresse 0x58 et la frquence de bus F = 100kHz
            var MD25 = new MotorControlMD2x();

            // Pour info : Lecture des registres de la carte MD2x et affichage de la version du logiciel
            Debug.Print("Vers.=" + MD25.SoftRev.ToString());
            Debug.Print("Tension=" + ((Single)MD25.Battery / 10).ToString("N1") + "V");
            Debug.Print("Acceleration=" + MD25.AccelerationRate.ToString());
            Debug.Print("Mode=" + MD25.Mode.ToString());

            while (true)
            {
                // Essai : Rotation des moteurs jusqu' ce que la distance recherche soit atteinte
                // ---------------------------------------------------------------------
                MD25.RazEncoders(); // Remise  zro des codeurs
                MD25.SetSpeedTurn(140, 140); // Rglage de la vitesse des moteurs

                while (MD25.Encoder1 < 2000)
                {
                    Debug.Print("Codeur 1=" + MD25.Encoder1.ToString() + " " + "Codeur 2=" + MD25.Encoder2.ToString() + " Speed1=" + MD25.Speed1.ToString() + " Speed2=" + MD25.Speed2Turn.ToString());
                }
                MD25.StopMotor();  // Arrt des moteurs
                Thread.Sleep(5000);
            }
        }
    }
}
